/* ====================================================================== *\
   DOMSTR.H -- Evaluate "one-dimensional" Domineering positions.

   Copyright (C) Jeff Erickson, 1994.  All rights reserved.
   Permission is given to copy this file as part of David Wolfe's
   games program, provided nobody makes any money in the process.
\* ====================================================================== */

typedef struct DS
{
    int length;		/* overall length */
    int sign;		/* +1 or -1 */
    char *board;
} *DS_type;

extern game_type	domstr(list_type);
extern game_type	domstr_position(DS_type, int);
extern DS_type		input_domstr(void);

