/* ====================================================================== *\
   MANCALA.H -- Evaluate Mancala positions

   Copyright (C) Jeff Erickson, 1994.  All rights reserved.
   Permission is given to copy this file as part of David Wolfe's
   games program, provided nobody makes any money in the process.
\* ====================================================================== */

#define MAX_MANCALA_LEN 20

typedef struct _man_
{
    int len;	/* length of HALF the board, including ONE store */
    int score;	/* current score */
    char *bd;	/* array of 2*len slots */
} *man_type;


extern game_type mancala_position(man_type, int);

extern game_type mancala(int, int);
extern game_type revmancala(int, int);
extern game_type hotmancala(int, int);
extern game_type coldmancala(int, int);

