/* ====================================================================== *\
   SOWING.H -- Evaluate Conway's Mancala positions

   Copyright (C) Jeff Erickson, 1994.  All rights reserved.
   Permission is given to copy this file as part of David Wolfe's
   games program, provided nobody makes any money in the process.
\* ====================================================================== */

#define s_FULL		-1
#define s_REALLY_FULL	-2

typedef struct sow
{
    int length;		/* overall length */
    int first;		/* first nonempty bowl */
    int last;		/* last nonempty bowl */
    char *board;
} *sow_type;

extern game_type	sowing(int, int, int);

